﻿Imports System.IO

Public Class Builder

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        Me.Skirmish.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Skirmish Create\")
            Me.Skirmish.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Scrollbar.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Scrollbar\")
            Me.Scrollbar.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.PlayerVit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Player Vitals\")
            Me.PlayerVit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.OppVit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Opponent Vitals\")
            Me.OppVit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ToolBar.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("ToolBar\")
            Me.ToolBar.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Attunement.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Attunement\")
            Me.Attunement.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Minimap.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Minimap\")
            Me.Minimap.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Craft.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Crafting\")
            Me.Craft.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Bags.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Bags\")
            Me.Bags.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.QuestLog.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Quest Log\")
            Me.QuestLog.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Vendor.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Vendor\")
            Me.Vendor.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Dressing.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Dressing room\")
            Me.Dressing.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Mail.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Mail\")
            Me.Mail.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Barter.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Barter\")
            Me.Barter.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Auction.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Auction\")
            Me.Auction.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Border.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Border\")
            Me.Border.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Stable.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Stable Master\")
            Me.Stable.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.LI.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Item Advancement\")
            Me.LI.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Inspect.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("InspectBio\")
            Me.Inspect.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Gambit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Gambit\")
            Me.Gambit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ExVit.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Escort Vitals\")
            Me.ExVit.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Bard.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Bard\")
            Me.Bard.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Buttons.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Buttons\")
            Me.Buttons.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Character.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Character\")
            Me.Character.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.DeedLog.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Deed Log\")
            Me.DeedLog.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.DestinyPerks.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Destiny Perks\")
            Me.DestinyPerks.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.DestinyPoints.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Destiny Points\")
            Me.DestinyPoints.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ForgeMaster.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Forge Master\")
            Me.ForgeMaster.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.InstanceJoin.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Instance Join\")
            Me.InstanceJoin.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.LegendaryItemTracking.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Legendary Item Tracking\")
            Me.LegendaryItemTracking.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.MountVitals.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Mount Vitals\")
            Me.MountVitals.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Options.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Options\")
            Me.Options.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ProgressBar.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Progress Bar\")
            Me.ProgressBar.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.QuestStart.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Quest Start\")
            Me.QuestStart.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.QuestTracker.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Quest Tracker\")
            Me.QuestTracker.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.RelicMaster.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Relic Master\")
            Me.RelicMaster.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.SharedStorage.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Shared Storage\")
            Me.SharedStorage.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.SkillTrainer.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Skill Trainer\")
            Me.SkillTrainer.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.SkirmishBard.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Skirmish Bard\")
            Me.SkirmishBard.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.SkirmishPanel.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Skirmish Panel\")
            Me.SkirmishPanel.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.SkirmishTrainer.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Skirmish Trainer\")
            Me.SkirmishTrainer.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Social.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Social\")
            Me.Social.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.SoldierVitals.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Soldier Vitals\")
            Me.SoldierVitals.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.TargetsTarget.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Targets target\")
            Me.TargetsTarget.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.ToolTip.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Tool Tip\")
            Me.ToolTip.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Traits.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Traits\")
            Me.Traits.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Vault.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Vault\")
            Me.Vault.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Wardrobe.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Wardrobe\")
            Me.Wardrobe.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.FullMap.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Full Map\")
            Me.FullMap.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.Chat.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Chat\")
            Me.Chat.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.LegacyExtraction.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Legacy Extraction\")
            Me.LegacyExtraction.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.LegacyUpdate.Items.Clear()
        For Each s As String In System.IO.Directory.GetFiles("Legacy Update\")
            Me.LegacyUpdate.Items.Add(IO.Path.GetFileNameWithoutExtension(s))
        Next
        Me.MyUi.Items.Clear()
        For Each s As String In System.IO.Directory.GetDirectories(".")
            If s Like "* Skin" Then
                s = s.Remove(s.Length - 5)
                Me.MyUi.Items.Add(IO.Path.GetFileName(s))
            End If
        Next

        If Me.LegacyUpdate.Items.Count = 1 Then
            Me.LegacyUpdate.Enabled = False
        End If
        If Me.LegacyExtraction.Items.Count = 1 Then
            Me.LegacyExtraction.Enabled = False
        End If
        If Me.Chat.Items.Count = 1 Then
            Me.Chat.Enabled = False
        End If
        If Me.FullMap.Items.Count = 1 Then
            Me.FullMap.Enabled = False
        End If
        If Me.ToolBar.Items.Count = 1 Then
            Me.ToolBar.Enabled = False
        End If
        If Me.Skirmish.Items.Count = 1 Then
            Me.Skirmish.Enabled = False
        End If
        If Me.SharedStorage.Items.Count = 1 Then
            Me.SharedStorage.Enabled = False
        End If
        If Me.SkillTrainer.Items.Count = 1 Then
            Me.SkillTrainer.Enabled = False
        End If
        If Me.SkirmishBard.Items.Count = 1 Then
            Me.SkirmishBard.Enabled = False
        End If
        If Me.SkirmishPanel.Items.Count = 1 Then
            Me.SkirmishPanel.Enabled = False
        End If
        If Me.SkirmishTrainer.Items.Count = 1 Then
            Me.SkirmishTrainer.Enabled = False
        End If
        If Me.Social.Items.Count = 1 Then
            Me.Social.Enabled = False
        End If
        If Me.SoldierVitals.Items.Count = 1 Then
            Me.SoldierVitals.Enabled = False
        End If
        If Me.TargetsTarget.Items.Count = 1 Then
            Me.TargetsTarget.Enabled = False
        End If
        If Me.ToolTip.Items.Count = 1 Then
            Me.ToolTip.Enabled = False
        End If
        If Me.Traits.Items.Count = 1 Then
            Me.Traits.Enabled = False
        End If
        If Me.Vault.Items.Count = 1 Then
            Me.Vault.Enabled = False
        End If
        If Me.Wardrobe.Items.Count = 1 Then
            Me.Wardrobe.Enabled = False
        End If
        If Me.Scrollbar.Items.Count = 1 Then
            Me.Scrollbar.Enabled = False
        End If
        If Me.PlayerVit.Items.Count = 1 Then
            Me.PlayerVit.Enabled = False
        End If
        If Me.OppVit.Items.Count = 1 Then
            Me.OppVit.Enabled = False
        End If
        If Me.Attunement.Items.Count = 1 Then
            Me.Attunement.Enabled = False
        End If
        If Me.Minimap.Items.Count = 1 Then
            Me.Minimap.Enabled = False
        End If
        If Me.Craft.Items.Count = 1 Then
            Me.Craft.Enabled = False
        End If
        If Me.Bags.Items.Count = 1 Then
            Me.Bags.Enabled = False
        End If
        If Me.QuestLog.Items.Count = 1 Then
            Me.QuestLog.Enabled = False
        End If
        If Me.Vendor.Items.Count = 1 Then
            Me.Vendor.Enabled = False
        End If
        If Me.Dressing.Items.Count = 1 Then
            Me.Dressing.Enabled = False
        End If
        If Me.Mail.Items.Count = 1 Then
            Me.Mail.Enabled = False
        End If
        If Me.Barter.Items.Count = 1 Then
            Me.Barter.Enabled = False
        End If
        If Me.Auction.Items.Count = 1 Then
            Me.Auction.Enabled = False
        End If
        If Me.Border.Items.Count = 1 Then
            Me.Border.Enabled = False
        End If
        If Me.Stable.Items.Count = 1 Then
            Me.Stable.Enabled = False
        End If
        If Me.LI.Items.Count = 1 Then
            Me.LI.Enabled = False
        End If
        If Me.Inspect.Items.Count = 1 Then
            Me.Inspect.Enabled = False
        End If
        If Me.Gambit.Items.Count = 1 Then
            Me.Gambit.Enabled = False
        End If
        If Me.ExVit.Items.Count = 1 Then
            Me.ExVit.Enabled = False
        End If
        If Me.Bard.Items.Count = 1 Then
            Me.Bard.Enabled = False
        End If
        If Me.Buttons.Items.Count = 1 Then
            Me.Buttons.Enabled = False
        End If
        If Me.Character.Items.Count = 1 Then
            Me.Character.Enabled = False
        End If
        If Me.DeedLog.Items.Count = 1 Then
            Me.DeedLog.Enabled = False
        End If
        If Me.DestinyPerks.Items.Count = 1 Then
            Me.DestinyPerks.Enabled = False
        End If
        If Me.DestinyPoints.Items.Count = 1 Then
            Me.DestinyPoints.Enabled = False
        End If
        If Me.ForgeMaster.Items.Count = 1 Then
            Me.ForgeMaster.Enabled = False
        End If
        If Me.InstanceJoin.Items.Count = 1 Then
            Me.InstanceJoin.Enabled = False
        End If
        If Me.LegendaryItemTracking.Items.Count = 1 Then
            Me.LegendaryItemTracking.Enabled = False
        End If
        If Me.MountVitals.Items.Count = 1 Then
            Me.MountVitals.Enabled = False
        End If
        If Me.Options.Items.Count = 1 Then
            Me.Options.Enabled = False
        End If
        If Me.ProgressBar.Items.Count = 1 Then
            Me.ProgressBar.Enabled = False
        End If
        If Me.QuestStart.Items.Count = 1 Then
            Me.QuestStart.Enabled = False
        End If
        If Me.QuestTracker.Items.Count = 1 Then
            Me.QuestTracker.Enabled = False
        End If
        If Me.RelicMaster.Items.Count = 1 Then
            Me.RelicMaster.Enabled = False
        End If

    End Sub
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If System.IO.Directory.Exists(Me.MyUi.Text + " Skin") Then
        Else
            System.IO.Directory.CreateDirectory(Me.MyUi.Text + " Skin")
        End If


        'Start by looking for the MyDocuments folder
        Dim Ui As String
        Ui = My.Computer.FileSystem.SpecialDirectories.MyDocuments + "\The Lord of the Rings Online\ui\skins\UiBuilder\"

        'Now, begin the combine. First name the target file - whilst debugging this has an odd name
        Dim Final As String
        Final = Me.MyUi.Text + " Skin\" + "SkinDefinition.xml"
        'Now begin the file
        Dim objWriter As New System.IO.StreamWriter(Ui + Final)
        objWriter.WriteLine("<?xml version=""1.0"" encoding=""UTF-8""?>")
        objWriter.WriteLine("<opt>")
        'name it
        objWriter.WriteLine("<SkinName Name=""" + Me.MyUi.Text + """></SkinName>")
        objWriter.Close()
        'Here goes everything else!
        'Define a temp text holder
        Dim TempText As String


        'Toolbar
        TempText = "Null.xml"
        If System.IO.File.Exists("Toolbar\" + Me.ToolBar.Text + "res\resenable.xml") Then
            TempText = "Toolbar\" + Me.ToolBar.Text + "res\" + Me.ToolBar.Text + " " + Me.ToolbarRes.Text + ".xml"
        Else
            TempText = "Toolbar\" + Me.ToolBar.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Player Vitals
        TempText = "Null.xml"
        If System.IO.File.Exists("Player Vitals\" + Me.PlayerVit.Text + "res\resenable.xml") Then
            TempText = "Player Vitals\" + Me.PlayerVit.Text + "res\" + Me.PlayerVit.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Player Vitals\" + Me.PlayerVit.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Opponent Vitals
        TempText = "Null.xml"
        If System.IO.File.Exists("Opponent Vitals\" + Me.OppVit.Text + "res\resenable.xml") Then
            TempText = "Opponent Vitals\" + Me.OppVit.Text + "res\" + Me.OppVit.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Opponent Vitals\" + Me.OppVit.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Mail
        TempText = "Null.xml"
        If System.IO.File.Exists("Mail\" + Me.Mail.Text + "res\resenable.xml") Then
            TempText = "Mail\" + Me.Mail.Text + "res\" + Me.Mail.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Mail\" + Me.Mail.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Border
        TempText = "Null.xml"
        If System.IO.File.Exists("Border\" + Me.Border.Text + "res\resenable.xml") Then
            TempText = "Border\" + Me.Border.Text + "res\" + Me.Border.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Border\" + Me.Border.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Scrollbar
        TempText = "Null.xml"
        If System.IO.File.Exists("Scrollbar\" + Me.Scrollbar.Text + "res\resenable.xml") Then
            TempText = "Scrollbar\" + Me.Scrollbar.Text + "res\" + Me.Scrollbar.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Scrollbar\" + Me.Scrollbar.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Crafting
        TempText = "Null.xml"
        If System.IO.File.Exists("Crafting\" + Me.Craft.Text + "res\resenable.xml") Then
            TempText = "Crafting\" + Me.Craft.Text + "res\" + Me.Craft.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Crafting\" + Me.Craft.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Minimap
        TempText = "Null.xml"
        If System.IO.File.Exists("Minimap\" + Me.Minimap.Text + "res\resenable.xml") Then
            TempText = "Minimap\" + Me.Minimap.Text + "res\" + Me.Minimap.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Minimap\" + Me.Minimap.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Bags
        TempText = "Null.xml"
        If System.IO.File.Exists("Bags\" + Me.Bags.Text + "res\resenable.xml") Then
            TempText = "Bags\" + Me.Bags.Text + "res\" + Me.Bags.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Bags\" + Me.Bags.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Dressup
        TempText = "Null.xml"
        If System.IO.File.Exists("Dressing room\" + Me.Dressing.Text + "res\resenable.xml") Then
            TempText = "Dressing room\" + Me.Dressing.Text + "res\" + Me.Dressing.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Dressing room\" + Me.Dressing.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Auction
        TempText = "Null.xml"
        If System.IO.File.Exists("Auction\" + Me.Auction.Text + "res\resenable.xml") Then
            TempText = "Auction\" + Me.Auction.Text + "res\" + Me.Auction.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Auction\" + Me.Auction.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Inspect/Bio
        TempText = "Null.xml"
        If System.IO.File.Exists("InspectBio\" + Me.Inspect.Text + "res\resenable.xml") Then
            TempText = "InspectBio\" + Me.Inspect.Text + "res\" + Me.Inspect.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "InspectBio\" + Me.Inspect.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'IA
        TempText = "Null.xml"
        If System.IO.File.Exists("Item Advancement\" + Me.LI.Text + "res\resenable.xml") Then
            TempText = "Item Advancement\" + Me.LI.Text + "res\" + Me.LI.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Item Advancement\" + Me.LI.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Stable Master
        TempText = "Null.xml"
        If System.IO.File.Exists("Stable Master\" + Me.Stable.Text + "res\resenable.xml") Then
            TempText = "Stable Master\" + Me.Stable.Text + "res\" + Me.Stable.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Stable Master\" + Me.Stable.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'QuestLog
        TempText = "Null.xml"
        If System.IO.File.Exists("Quest Log\" + Me.QuestLog.Text + "res\resenable.xml") Then
            TempText = "Quest Log\" + Me.QuestLog.Text + "res\" + Me.QuestLog.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Quest Log\" + Me.QuestLog.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Vendor
        TempText = "Null.xml"
        If System.IO.File.Exists("Vendor\" + Me.Vendor.Text + "res\resenable.xml") Then
            TempText = "Vendor\" + Me.Vendor.Text + "res\" + Me.Vendor.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Vendor\" + Me.Vendor.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Barter
        TempText = "Null.xml"
        If System.IO.File.Exists("Barter\" + Me.Barter.Text + "res\resenable.xml") Then
            TempText = "Barter\" + Me.Barter.Text + "res\" + Me.Barter.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Barter\" + Me.Barter.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Skirmish
        TempText = "Null.xml"
        If System.IO.File.Exists("Skirmish Create\" + Me.Skirmish.Text + "res\resenable.xml") Then
            TempText = "Skirmish Create\" + Me.Skirmish.Text + "res\" + Me.Skirmish.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Skirmish Create\" + Me.Skirmish.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Attunement
        TempText = "Null.xml"
        If System.IO.File.Exists("Attunement\" + Me.Attunement.Text + "res\resenable.xml") Then
            TempText = "Attunement\" + Me.Attunement.Text + "res\" + Me.Attunement.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Attunement\" + Me.Attunement.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Gambit
        TempText = "Null.xml"
        If System.IO.File.Exists("Gambit\" + Me.Gambit.Text + "res\resenable.xml") Then
            TempText = "Gambit\" + Me.Gambit.Text + "res\" + Me.Gambit.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Gambit\" + Me.Gambit.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Escort Vitals
        TempText = "Null.xml"
        If System.IO.File.Exists("Escort Vitals\" + Me.ExVit.Text + "res\resenable.xml") Then
            TempText = "Escort Vitals\" + Me.ExVit.Text + "res\" + Me.ExVit.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Escort Vitals\" + Me.ExVit.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Bard
        TempText = "Null.xml"
        If System.IO.File.Exists("Bard\" + Me.Bard.Text + "res\resenable.xml") Then
            TempText = "Bard\" + Me.Bard.Text + "res\" + Me.Bard.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Bard\" + Me.Bard.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Buttons
        TempText = "Null.xml"
        If System.IO.File.Exists("Buttons\" + Me.Buttons.Text + "res\resenable.xml") Then
            TempText = "Buttons\" + Me.Buttons.Text + "res\" + Me.Buttons.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Buttons\" + Me.Buttons.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Character
        TempText = "Null.xml"
        If System.IO.File.Exists("Character\" + Me.Character.Text + "res\resenable.xml") Then
            TempText = "Character\" + Me.Character.Text + "res\" + Me.Character.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Character\" + Me.Character.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Deed Log
        TempText = "Null.xml"
        If System.IO.File.Exists("Deed Log\" + Me.DeedLog.Text + "res\resenable.xml") Then
            TempText = "Deed Log\" + Me.DeedLog.Text + "res\" + Me.DeedLog.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Deed Log\" + Me.DeedLog.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Destiny Perks
        TempText = "Null.xml"
        If System.IO.File.Exists("Destiny Perks\" + Me.Gambit.Text + "res\resenable.xml") Then
            TempText = "Destiny Perks\" + Me.DestinyPerks.Text + "res\" + Me.DestinyPerks.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Destiny Perks\" + Me.DestinyPerks.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Destiny Points
        TempText = "Null.xml"
        If System.IO.File.Exists("Destiny Points\" + Me.DestinyPoints.Text + "res\resenable.xml") Then
            TempText = "Destiny Points\" + Me.DestinyPoints.Text + "res\" + Me.DestinyPoints.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Destiny Points\" + Me.DestinyPoints.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Forge Master
        TempText = "Null.xml"
        If System.IO.File.Exists("Forge Master\" + Me.ForgeMaster.Text + "res\resenable.xml") Then
            TempText = "Forge Master\" + Me.ForgeMaster.Text + "res\" + Me.ForgeMaster.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Forge Master\" + Me.ForgeMaster.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Instance Join
        TempText = "Null.xml"
        If System.IO.File.Exists("Instance Join\" + Me.InstanceJoin.Text + "res\resenable.xml") Then
            TempText = "Instance Join\" + Me.InstanceJoin.Text + "res\" + Me.InstanceJoin.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Instance Join\" + Me.InstanceJoin.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Legendary Item Tracking
        TempText = "Null.xml"
        If System.IO.File.Exists("Legendary Item Tracking\" + Me.LegendaryItemTracking.Text + "res\resenable.xml") Then
            TempText = "Legendary Item Tracking\" + Me.LegendaryItemTracking.Text + "res\" + Me.LegendaryItemTracking.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Legendary Item Tracking\" + Me.LegendaryItemTracking.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Mount Vitals
        TempText = "Null.xml"
        If System.IO.File.Exists("Mount Vitals\" + Me.MountVitals.Text + "res\resenable.xml") Then
            TempText = "Mount Vitals\" + Me.MountVitals.Text + "res\" + Me.MountVitals.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Mount Vitals\" + Me.MountVitals.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Options
        TempText = "Null.xml"
        If System.IO.File.Exists("Options\" + Me.Options.Text + "res\resenable.xml") Then
            TempText = "Options\" + Me.Options.Text + "res\" + Me.Options.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Options\" + Me.Options.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Progress Bar
        TempText = "Null.xml"
        If System.IO.File.Exists("Progress Bar\" + Me.ProgressBar.Text + "res\resenable.xml") Then
            TempText = "Progress Bar\" + Me.ProgressBar.Text + "res\" + Me.ProgressBar.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Progress Bar\" + Me.ProgressBar.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Quest Start
        TempText = "Null.xml"
        If System.IO.File.Exists("Quest Start\" + Me.QuestStart.Text + "res\resenable.xml") Then
            TempText = "Quest Start\" + Me.QuestStart.Text + "res\" + Me.QuestStart.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Quest Start\" + Me.QuestStart.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Quest Tracker
        TempText = "Null.xml"
        If System.IO.File.Exists("Quest Tracker\" + Me.QuestTracker.Text + "res\resenable.xml") Then
            TempText = "Quest Tracker\" + Me.QuestTracker.Text + "res\" + Me.QuestTracker.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Quest Tracker\" + Me.QuestTracker.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Relic Master
        TempText = "Null.xml"
        If System.IO.File.Exists("Relic Master\" + Me.RelicMaster.Text + "res\resenable.xml") Then
            TempText = "Relic Master\" + Me.RelicMaster.Text + "res\" + Me.RelicMaster.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Relic Master\" + Me.RelicMaster.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Shared Storage
        TempText = "Null.xml"
        If System.IO.File.Exists("Shared Storage\" + Me.SharedStorage.Text + "res\resenable.xml") Then
            TempText = "Shared Storage\" + Me.SharedStorage.Text + "res\" + Me.SharedStorage.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Shared Storage\" + Me.SharedStorage.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Skill Trainer
        TempText = "Null.xml"
        If System.IO.File.Exists("Skill Trainer\" + Me.SkillTrainer.Text + "res\resenable.xml") Then
            TempText = "Skill Trainer\" + Me.SkillTrainer.Text + "res\" + Me.SkillTrainer.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Skill Trainer\" + Me.SkillTrainer.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Skirmish Bard
        TempText = "Null.xml"
        If System.IO.File.Exists("Skirmish Bard\" + Me.SkirmishBard.Text + "res\resenable.xml") Then
            TempText = "Skirmish Bard\" + Me.SkirmishBard.Text + "res\" + Me.SkirmishBard.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Skirmish Bard\" + Me.SkirmishBard.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Skirmish Panel
        TempText = "Null.xml"
        If System.IO.File.Exists("Skirmish Panel\" + Me.SkirmishPanel.Text + "res\resenable.xml") Then
            TempText = "Skirmish Panel\" + Me.SkirmishPanel.Text + "res\" + Me.SkirmishPanel.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Skirmish Panel\" + Me.SkirmishPanel.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Skirmish Trainer
        TempText = "Null.xml"
        If System.IO.File.Exists("Skirmish Trainer\" + Me.SkirmishTrainer.Text + "res\resenable.xml") Then
            TempText = "Skirmish Trainer\" + Me.SkirmishTrainer.Text + "res\" + Me.SkirmishTrainer.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Skirmish Trainer\" + Me.SkirmishTrainer.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Social
        TempText = "Null.xml"
        If System.IO.File.Exists("Social\" + Me.Social.Text + "res\resenable.xml") Then
            TempText = "Social\" + Me.Social.Text + "res\" + Me.Social.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Social\" + Me.Social.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Soldier Vitals
        TempText = "Null.xml"
        If System.IO.File.Exists("Soldier Vitals\" + Me.SoldierVitals.Text + "res\resenable.xml") Then
            TempText = "Soldier Vitals\" + Me.SoldierVitals.Text + "res\" + Me.SoldierVitals.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Soldier Vitals\" + Me.SoldierVitals.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Targets target
        TempText = "Null.xml"
        If System.IO.File.Exists("Targets target\" + Me.TargetsTarget.Text + "res\resenable.xml") Then
            TempText = "Targets target\" + Me.TargetsTarget.Text + "res\" + Me.TargetsTarget.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Targets target\" + Me.TargetsTarget.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Tool Tip
        TempText = "Null.xml"
        If System.IO.File.Exists("Tool Tip\" + Me.ToolTip.Text + "res\resenable.xml") Then
            TempText = "Tool Tip\" + Me.ToolTip.Text + "res\" + Me.ToolTip.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Tool Tip\" + Me.ToolTip.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Traits
        TempText = "Null.xml"
        If System.IO.File.Exists("Traits\" + Me.Traits.Text + "res\resenable.xml") Then
            TempText = "Traits\" + Me.Traits.Text + "res\" + Me.Traits.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Traits\" + Me.Traits.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Vault
        TempText = "Null.xml"
        If System.IO.File.Exists("Vault\" + Me.Vault.Text + "res\resenable.xml") Then
            TempText = "Vault\" + Me.Vault.Text + "res\" + Me.Vault.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Vault\" + Me.Vault.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Wardrobe
        TempText = "Null.xml"
        If System.IO.File.Exists("Wardrobe\" + Me.Wardrobe.Text + "res\resenable.xml") Then
            TempText = "Wardrobe\" + Me.Wardrobe.Text + "res\" + Me.Wardrobe.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Wardrobe\" + Me.Wardrobe.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'FullMap
        TempText = "Null.xml"
        If System.IO.File.Exists("Full Map\" + Me.FullMap.Text + "res\resenable.xml") Then
            TempText = "Full Map\" + Me.FullMap.Text + "res\" + Me.FullMap.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Full Map\" + Me.FullMap.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Chat
        TempText = "Null.xml"
        If System.IO.File.Exists("Chat\" + Me.Chat.Text + "res\resenable.xml") Then
            TempText = "Chat\" + Me.Chat.Text + "res\" + Me.Chat.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Chat\" + Me.Chat.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Legacy Extraction
        TempText = "Null.xml"
        If System.IO.File.Exists("Legacy Extraction\" + Me.LegacyExtraction.Text + "res\resenable.xml") Then
            TempText = "Legacy Extraction\" + Me.LegacyExtraction.Text + "res\" + Me.LegacyExtraction.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Legacy Extraction\" + Me.LegacyExtraction.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Legacy Update
        TempText = "Null.xml"
        If System.IO.File.Exists("Legacy Update\" + Me.LegacyUpdate.Text + "res\resenable.xml") Then
            TempText = "Legacy Update\" + Me.LegacyUpdate.Text + "res\" + Me.LegacyUpdate.Text + " " + Me.OptionRes.Text + ".xml"
        Else
            TempText = "Legacy Update\" + Me.LegacyUpdate.Text + ".xml"
        End If
        text_combine(Ui + TempText, Ui + Final)

        'Now to close the file
        text_combine(Ui + "end.xml", Ui + Final)

        Me.MyUi.Items.Clear()
        For Each s As String In System.IO.Directory.GetDirectories(".")
            If s Like "* Skin" Then
                s = s.Remove(s.Length - 5)
                Me.MyUi.Items.Add(IO.Path.GetFileName(s))
            End If
        Next

        MsgBox("Done!")
    End Sub
    Private Sub Bags_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Bags.SelectedIndexChanged
        'Bag Image
        If System.IO.File.Exists("Bags\preview\" + Me.Bags.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Bags\preview\" + Me.Bags.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Craft_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Craft.SelectedIndexChanged
        'Display Image of Crafting Frame
        If System.IO.File.Exists("Crafting\preview\" + Me.Craft.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Crafting\preview\" + Me.Craft.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub PlayerVit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PlayerVit.SelectedIndexChanged
        'Display Image of Player Vitals
        If System.IO.File.Exists("Player Vitals\preview\" + Me.PlayerVit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Player Vitals\preview\" + Me.PlayerVit.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub OppVit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OppVit.SelectedIndexChanged
        'Display Image of Opponent Vitals
        If System.IO.File.Exists("Opponent Vitals\preview\" + Me.OppVit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Opponent Vitals\preview\" + Me.OppVit.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub ToolBar_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolBar.SelectedIndexChanged
        'Display Image of bar
        If System.IO.File.Exists("ToolBar\preview\" + Me.ToolBar.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("ToolBar\preview\" + Me.ToolBar.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Minimap_SelectedIndexChanged_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Minimap.SelectedIndexChanged
        'MiniMap Image
        If System.IO.File.Exists("Minimap\preview\" + Me.Minimap.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Minimap\preview\" + Me.Minimap.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub About_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles About.Click
        Dim myForm As New About
        myForm.ShowDialog()
    End Sub

    Private Sub Scrollbar_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Scrollbar.SelectedIndexChanged
        If System.IO.File.Exists("Scrollbar\preview\" + Me.Scrollbar.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Scrollbar\preview\" + Me.Scrollbar.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub ExVit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExVit.SelectedIndexChanged
        If System.IO.File.Exists("Escort Vitals\preview\" + Me.ExVit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Escort Vitals\preview\" + Me.ExVit.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Skirmish_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Skirmish.SelectedIndexChanged
        If System.IO.File.Exists("Skirmish Create\preview\" + Me.Skirmish.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Skirmish Create\preview\" + Me.Skirmish.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub QuestLog_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuestLog.SelectedIndexChanged
        If System.IO.File.Exists("Quest Log\preview\" + Me.QuestLog.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Quest Log\preview\" + Me.QuestLog.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Vendor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Vendor.SelectedIndexChanged
        If System.IO.File.Exists("Vendor\preview\" + Me.Vendor.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Vendor\preview\" + Me.Vendor.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Dressing_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Dressing.SelectedIndexChanged
        If System.IO.File.Exists("Dressing room\preview\" + Me.Dressing.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Dressing room\preview\" + Me.Dressing.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Mail_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Mail.SelectedIndexChanged
        If System.IO.File.Exists("Mail\preview\" + Me.Mail.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Mail\preview\" + Me.Mail.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Barter_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Barter.SelectedIndexChanged
        If System.IO.File.Exists("Barter\preview\" + Me.Barter.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Barter\preview\" + Me.Barter.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Auction_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Auction.SelectedIndexChanged
        If System.IO.File.Exists("Auction\preview\" + Me.Auction.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Auction\preview\" + Me.Auction.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Stable_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Stable.SelectedIndexChanged
        If System.IO.File.Exists("Stable Master\preview\" + Me.Stable.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Stable Master\preview\" + Me.Stable.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Border_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Border.SelectedIndexChanged
        If System.IO.File.Exists("Border\preview\" + Me.Border.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Border\preview\" + Me.Border.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub LI_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LI.SelectedIndexChanged
        If System.IO.File.Exists("Item Advancement\preview\" + Me.LI.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Item Advancement\preview\" + Me.LI.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Inspect_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Inspect.SelectedIndexChanged
        If System.IO.File.Exists("InspectBio\preview\" + Me.Inspect.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("InspectBio\preview\" + Me.Inspect.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Gambit_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Gambit.SelectedIndexChanged
        If System.IO.File.Exists("Gambit\preview\" + Me.Gambit.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Gambit\preview\" + Me.Gambit.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Attunement_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Attunement.SelectedIndexChanged
        If System.IO.File.Exists("Attunement\preview\" + Me.Attunement.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Attunement\preview\" + Me.Attunement.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Bard_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Bard.SelectedIndexChanged
        If System.IO.File.Exists("Bard\preview\" + Me.Bard.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Bard\preview\" + Me.Bard.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Buttons_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Buttons.SelectedIndexChanged
        If System.IO.File.Exists("Buttons\preview\" + Me.Buttons.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Buttons\preview\" + Me.Buttons.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Character_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Character.SelectedIndexChanged
        If System.IO.File.Exists("Character\preview\" + Me.Character.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Character\preview\" + Me.Character.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub DeedLog_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeedLog.SelectedIndexChanged
        If System.IO.File.Exists("Deed Log\preview\" + Me.DeedLog.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Deed Log\preview\" + Me.DeedLog.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub DestinyPerks_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DestinyPerks.SelectedIndexChanged
        If System.IO.File.Exists("Destiny Perks\preview\" + Me.DestinyPerks.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Destiny Perks\preview\" + Me.DestinyPerks.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub DestinyPoints_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DestinyPoints.SelectedIndexChanged
        If System.IO.File.Exists("Destiny Points\preview\" + Me.DestinyPoints.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Destiny Points\preview\" + Me.DestinyPoints.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub ForgeMaster_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ForgeMaster.SelectedIndexChanged
        If System.IO.File.Exists("Forge Master\preview\" + Me.ForgeMaster.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Forge Master\preview\" + Me.ForgeMaster.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub InstanceJoin_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InstanceJoin.SelectedIndexChanged
        If System.IO.File.Exists("Instance Join\preview\" + Me.InstanceJoin.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Instance Join\preview\" + Me.InstanceJoin.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub LegendaryItemTracking_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LegendaryItemTracking.SelectedIndexChanged
        If System.IO.File.Exists("Legendary Item Tracking\preview\" + Me.LegendaryItemTracking.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Legendary Item Tracking\preview\" + Me.LegendaryItemTracking.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub MountVitals_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MountVitals.SelectedIndexChanged
        If System.IO.File.Exists("Mount Vitals\preview\" + Me.MountVitals.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Mount Vitals\preview\" + Me.MountVitals.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Options_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Options.SelectedIndexChanged
        If System.IO.File.Exists("Options\preview\" + Me.Options.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Options\preview\" + Me.Options.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub ProgressBar_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ProgressBar.SelectedIndexChanged
        If System.IO.File.Exists("Progress Bar\preview\" + Me.ProgressBar.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Progress Bar\preview\" + Me.ProgressBar.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub QuestStart_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuestStart.SelectedIndexChanged
        If System.IO.File.Exists("Quest Start\preview\" + Me.QuestStart.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Quest Start\preview\" + Me.QuestStart.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub QuestTracker_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuestTracker.SelectedIndexChanged
        If System.IO.File.Exists("Quest Tracker\preview\" + Me.QuestTracker.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Quest Tracker\preview\" + Me.QuestTracker.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub RelicMaster_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RelicMaster.SelectedIndexChanged
        If System.IO.File.Exists("Relic Master\preview\" + Me.RelicMaster.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Relic Master\preview\" + Me.RelicMaster.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub SharedStorage_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SharedStorage.SelectedIndexChanged
        If System.IO.File.Exists("Shared Storage\preview\" + Me.SharedStorage.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Shared Storage\preview\" + Me.SharedStorage.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub SkillTrainer_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SkillTrainer.SelectedIndexChanged
        If System.IO.File.Exists("Skill Trainer\preview\" + Me.SkillTrainer.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Skill Trainer\preview\" + Me.SkillTrainer.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub SkirmishBard_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SkirmishBard.SelectedIndexChanged
        If System.IO.File.Exists("Skirmish Bard\preview\" + Me.SkirmishBard.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Skirmish Bard\preview\" + Me.SkirmishBard.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub SkirmishPanel_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SkirmishPanel.SelectedIndexChanged
        If System.IO.File.Exists("Skirmish Panel\preview\" + Me.SkirmishPanel.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Skirmish Panel\preview\" + Me.SkirmishPanel.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub SkirmishTrainer_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SkirmishTrainer.SelectedIndexChanged
        If System.IO.File.Exists("Skirmish Trainer\preview\" + Me.SkirmishTrainer.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Skirmish Trainer\preview\" + Me.SkirmishTrainer.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Social_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Social.SelectedIndexChanged
        If System.IO.File.Exists("Social\preview\" + Me.Social.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Social\preview\" + Me.Social.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub SoldierVitals_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SoldierVitals.SelectedIndexChanged
        If System.IO.File.Exists("Soldier Vitals\preview\" + Me.SoldierVitals.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Soldier Vitals\preview\" + Me.SoldierVitals.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Targetstarget_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TargetsTarget.SelectedIndexChanged
        If System.IO.File.Exists("Targets target\preview\" + Me.TargetsTarget.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Targets target\preview\" + Me.TargetsTarget.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub ToolTip_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolTip.SelectedIndexChanged
        If System.IO.File.Exists("Tool Tip\preview\" + Me.ToolTip.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Tool Tip\preview\" + Me.ToolTip.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Traits_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Traits.SelectedIndexChanged
        If System.IO.File.Exists("Traits\preview\" + Me.Traits.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Traits\preview\" + Me.Traits.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Vault_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Vault.SelectedIndexChanged
        If System.IO.File.Exists("Vault\preview\" + Me.Vault.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Vault\preview\" + Me.Vault.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Wardrobe_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Wardrobe.SelectedIndexChanged
        If System.IO.File.Exists("Wardrobe\preview\" + Me.Wardrobe.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Wardrobe\preview\" + Me.Wardrobe.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub FullMap_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FullMap.SelectedIndexChanged
        If System.IO.File.Exists("Full Map\preview\" + Me.FullMap.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Full Map\preview\" + Me.FullMap.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Chat_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Chat.SelectedIndexChanged
        If System.IO.File.Exists("Chat\preview\" + Me.Chat.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Chat\preview\" + Me.Chat.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub
    Private Sub LegacyExtraction_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LegacyExtraction.SelectedIndexChanged
        If System.IO.File.Exists("Legacy Extraction\preview\" + Me.LegacyExtraction.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Legacy Extraction\preview\" + Me.LegacyExtraction.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub
    Private Sub LegacyUpdate_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LegacyUpdate.SelectedIndexChanged
        If System.IO.File.Exists("Legacy Update\preview\" + Me.LegacyUpdate.Text + ".jpg") Then
            ImageBox.Image = Image.FromFile("Legacy Update\preview\" + Me.LegacyUpdate.Text + ".jpg")
        Else
            ImageBox.Image = Image.FromFile("Max Preview Size.jpg")
        End If
    End Sub

    Private Sub Kill_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Kill.Click
        If (System.IO.Directory.Exists(Me.MyUi.Text + " Skin\")) Then
            For Each fName As String In System.IO.Directory.GetFiles(Me.MyUi.Text + " Skin\")
                If System.IO.File.Exists(fName) Then
                    System.IO.File.Delete(fName)
                End If
            Next
            System.IO.Directory.Delete(Me.MyUi.Text + " Skin\")
            MsgBox("Your skin """ + Me.MyUi.Text + """ has been deleted")
        End If
        Me.MyUi.Items.Clear()
        For Each s As String In System.IO.Directory.GetDirectories(".")
            If s Like "* Skin" Then
                s = s.Remove(s.Length - 5)
                Me.MyUi.Items.Add(IO.Path.GetFileName(s))
            End If
        Next
    End Sub

End Class
