﻿Module Module1
    ' combines file 1 at then end of file 2
    ' Syntax; text_combine(Read file, Write file)
    Public Function text_combine( _
    ByVal path_to_read_file As String, _
    ByVal path_to_append_file As String _
) As Boolean
        If ( _
            (IO.File.Exists(path_to_read_file)) _
            And (IO.File.Exists(path_to_append_file)) _
        ) Then
            Try
                System.IO.File.AppendAllText( _
                    path_to_append_file, _
                    System.IO.File.ReadAllText(path_to_read_file) _
                )
                text_combine = True
            Catch ex As Exception
                text_combine = False
            End Try
        Else
            text_combine = False
        End If
    End Function
End Module
